CVE-2017-12618

Impact:
Moderate
Public Date:
2017-10-23
CWE:
CWE-125
Bugzilla:
1506532: CVE-2017-12618 apr-util: Out-of-bounds access in corrupted SDBM database

The MITRE CVE dictionary describes this issue as:

Apache Portable Runtime Utility (APR-util) 1.6.0 and prior fail to validate the integrity of SDBM database files used by apr_sdbm*() functions, resulting in a possible out of bound read access. A local user with write access to the database can make a program or process using these functions crash, and cause a denial of service.

Find out more about CVE-2017-12618 from the MITRE CVE dictionary dictionary and NIST NVD.

CVSS v3 metrics

NOTE: The following CVSS v3 metrics and score provided are preliminary and subject to review.

CVSS3 Base Score 5.5
CVSS3 Base Metrics CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
Attack Vector Local
Attack Complexity Low
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality None
Integrity Impact None
Availability Impact High

Affected Packages State

Platform Package State
Red Hat JBoss Web Server 3.0 httpd Will not fix
Red Hat JBoss Web Server 3 apr-util Will not fix
Red Hat JBoss EWS 2 httpd Will not fix
Red Hat JBoss EWS 1 httpd Will not fix
Red Hat JBoss EAP 6 httpd Will not fix
Red Hat JBoss Core Services 1 apr-util Will not fix
Red Hat Enterprise Linux 7 apr-util Will not fix
Red Hat Enterprise Linux 6 apr-util Will not fix
Red Hat Enterprise Linux 5 apr-util Will not fix

External References

Last Modified

CVE description copyright © 2017, The MITRE Corporation

Close

Welcome! Check out the Getting Started with Red Hat page for quick tours and guides for common tasks.